PETSc version 3.15.5
Fix/Edit manual page

# DMPlexComputeMassMatrixGeneral

Form the local portion of the mass matrix M from the coarse DM to a non-nested fine DM.

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexComputeMassMatrixGeneral(DM dmc, DM dmf, Mat mass, void *user)

### Input Parameters

| dmf | - The fine mesh
| dmc | - The coarse mesh
| user | - The user context

### Output Parameter

| mass | - The mass matrix

### See Also

DMPlexComputeMassMatrixNested(), DMPlexComputeInterpolatorNested(), DMPlexComputeInterpolatorGeneral(), DMPlexComputeJacobianFEM()

### Level

developer

### Location

src/dm/impls/plex/plexfem.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages